libzypp 17.37.10

progressdata.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <chrono>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/Function.h>`
`#include <zypp-core/base/ProvideNumericId>`
`#include <zypp/Date.h>`

Go to the source code of this file.

## Classes
class | zypp::ProgressData
| Maintain [min,max] and counter (value) for progress counting. More...
class | zypp::ProgressData::Data
class | zypp::CombinedProgressData
| Progress callback from another progress. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.